//=======================================================================
//           This file is a part of the Juju GUI application.
//                  Copyright (C) 2011 Nathan Osman
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#include <CMainWindow.h>
#include "ui_CMainWindow.h"

// Qt includes
#include <QSettings>

// Juju GUI includes
#include <CAboutDialog.h>
#include <CEnvironmentsDialog.h>

CMainWindow::CMainWindow(QWidget * parent)
    : QMainWindow(parent), ui(new Ui::CMainWindow)
{
    ui->setupUi(this);

    // Load the window's size and position from the settings file
    QSettings settings;
    restoreGeometry(settings.value("General/WindowGeometry").toByteArray());
}

CMainWindow::~CMainWindow()
{
    // Store the window's size and position
    QSettings settings;
    settings.setValue("General/WindowGeometry", saveGeometry());

    delete ui;
}

void CMainWindow::OnOptions()
{
    //...
}

void CMainWindow::OnEnvironments()
{
    CEnvironmentsDialog dialog;
    dialog.exec();
}

void CMainWindow::OnAbout()
{
    CAboutDialog dialog;
    dialog.exec();
}
